diff -Naur spacefm-0.8.2-old/data/ui/prefdlg.ui spacefm-0.8.2/data/ui/prefdlg.ui
--- spacefm-0.8.2-old/data/ui/prefdlg.ui	2012-10-25 19:30:44.000000000 +0300
+++ spacefm-0.8.2/data/ui/prefdlg.ui	2014-07-22 10:36:41.149026766 +0300
@@ -1126,7 +1126,7 @@
                     </child>
                     <child>
                       <object class="GtkLabel" id="label_root_editor">
-                        <property name="visible">True</property>
+                        <property name="visible">False</property>
                         <property name="xalign">0</property>
                         <property name="label" translatable="yes">Root's Editor:</property>
                       </object>
@@ -1140,7 +1140,7 @@
                     <child>
                       <object class="GtkEntry" id="root_editor">
                         <property name="width_request">80</property>
-                        <property name="visible">True</property>
+                        <property name="visible">False</property>
                         <property name="can_focus">True</property>
                         <property name="max_length">1024</property>
                       </object>
@@ -1154,7 +1154,7 @@
                     </child>
                     <child>
                       <object class="GtkCheckButton" id="root_editor_terminal">
-                        <property name="visible">True</property>
+                        <property name="visible">False</property>
                         <property name="can_focus">True</property>
                         <property name="label" translatable="yes">Run root's editor in terminal</property>
                         <property name="xalign">0</property>
diff -Naur spacefm-0.8.2-old/src/main-window.c spacefm-0.8.2/src/main-window.c
--- spacefm-0.8.2-old/src/main-window.c	2012-10-25 19:30:44.000000000 +0300
+++ spacefm-0.8.2/src/main-window.c	2014-07-22 10:29:07.696530096 +0300
@@ -1540,7 +1540,7 @@
     xset_set_cb( "main_root_terminal", on_open_root_terminal_activate, main_window );
     xset_set_cb( "main_save_session", on_save_session, main_window );
     xset_set_cb( "main_exit", on_quit_activate, main_window );
-    menu_elements = g_strdup_printf( "main_search main_terminal main_root_terminal sep_f1 main_new_window main_root_window sep_f2 main_save_session main_save_tabs sep_f3 main_exit" );
+    menu_elements = g_strdup_printf( "main_search main_terminal sep_f1 main_new_window sep_f2 main_save_session main_save_tabs sep_f3 main_exit" );
     xset_add_menu( NULL, file_browser, newmenu, accel_group, menu_elements );
     g_free( menu_elements );
     gtk_widget_show_all( GTK_WIDGET(newmenu) );
diff -Naur spacefm-0.8.2-old/src/ptk/ptk-file-menu.c spacefm-0.8.2/src/ptk/ptk-file-menu.c
--- spacefm-0.8.2-old/src/ptk/ptk-file-menu.c	2012-10-25 19:30:44.000000000 +0300
+++ spacefm-0.8.2/src/ptk/ptk-file-menu.c	2014-07-22 15:59:50.683943271 +0300
@@ -748,8 +748,6 @@
                 set = xset_set_cb( "open_edit", on_file_edit, data );
                 set->disable = ( geteuid() == 0 );
                 xset_add_menuitem( desktop, browser, submenu, accel_group, set );
-                set = xset_set_cb( "open_edit_root", on_file_root_edit, data );
-                xset_add_menuitem( desktop, browser, submenu, accel_group, set );
             }
             else if ( browser && is_dir )
             {
@@ -1085,9 +1083,6 @@
         set = xset_get( "move_to" );
         set->disable = !sel_files || !browser;
 
-        set = xset_get( "edit_root" );
-        set->disable = ( geteuid() == 0 ) || !browser || !sel_files;
-
         set = xset_get( "edit_submenu" );
         xset_add_menuitem( desktop, browser, popup, accel_group, set );
     }
@@ -1321,14 +1316,11 @@
         set = xset_get( "prop_quick" );
         set->disable = no_write_access || !sel_files;
         
-        set = xset_get( "prop_root" );
-        set->disable = !sel_files;
-        
         set = xset_get( "con_prop" );
         if ( geteuid() == 0 )
-            desc = g_strdup_printf( "prop_info prop_perm prop_root" );
+            desc = g_strdup_printf( "prop_info prop_perm" );
         else
-            desc = g_strdup_printf( "prop_info prop_perm prop_quick prop_root" );
+            desc = g_strdup_printf( "prop_info prop_perm prop_quick" );
         xset_set_set( set, "desc", desc );
         g_free( desc );
         xset_add_menuitem( desktop, browser, popup, accel_group, set );
diff -Naur spacefm-0.8.2-old/src/ptk/ptk-location-view.c spacefm-0.8.2/src/ptk/ptk-location-view.c
--- spacefm-0.8.2-old/src/ptk/ptk-location-view.c	2012-10-25 19:30:44.000000000 +0300
+++ spacefm-0.8.2/src/ptk/ptk-location-view.c	2014-07-22 15:04:53.634730830 +0300
@@ -2997,8 +2997,6 @@
             xset_set_ob1( set, "view", view );
             set->disable = !( vol && vol->device_type == DEVICE_TYPE_BLOCK );
 
-        set = xset_get( "dev_menu_root" );
-            //set->disable = !vol;
         set = xset_get( "dev_menu_format" );
             set->disable =  !( vol && !vol->is_mounted && 
                                         vol->device_type == DEVICE_TYPE_BLOCK );
@@ -3038,7 +3036,7 @@
         xset_set_set( set, "desc", menu_elements );
         g_free( menu_elements );
 
-        menu_elements = g_strdup_printf( "sep_dm2 dev_menu_root sep_dm3 dev_menu_settings dev_prop" );
+        menu_elements = g_strdup_printf( "sep_dm2 sep_dm3 dev_menu_settings dev_prop" );
         xset_add_menu( NULL, file_browser, popup, accel_group, menu_elements );
         g_free( menu_elements );
 
diff -Naur spacefm-0.8.2-old/src/settings.c spacefm-0.8.2/src/settings.c
--- spacefm-0.8.2-old/src/settings.c	2012-10-25 19:30:44.000000000 +0300
+++ spacefm-0.8.2/src/settings.c	2014-07-22 14:56:53.641956758 +0300
@@ -930,21 +930,6 @@
             g_free( set->menu_label );
             set->menu_label = g_strdup( _("_Folder") );
         }
-        set = xset_get( "dev_root_mount" );
-        if ( !g_strcmp0( set->icon, "gtk-add" ) )
-            string_copy_free( &set->icon, "drive-removable-media" );
-        set = xset_get( "iso_mount" );
-        if ( !g_strcmp0( set->icon, "gtk-cdrom" ) )
-            string_copy_free( &set->icon, "drive-removable-media" );
-        set = xset_get( "stool_mount" );
-        if ( !g_strcmp0( set->icon, "gtk-add" ) )
-            string_copy_free( &set->icon, "drive-removable-media" );
-        set = xset_get( "dev_menu_mount" );
-        if ( !g_strcmp0( set->icon, "gtk-add" ) )
-            string_copy_free( &set->icon, "drive-removable-media" );
-        set = xset_get( "task_pop_detail" );
-        if ( !g_strcmp0( set->menu_label, "_Detailed Status" ) )
-            string_copy_free( &set->menu_label, _("_Detailed Stats") );
 
         if ( app_settings.small_icon_size == 20 )
             app_settings.small_icon_size = 22;
@@ -2305,9 +2290,6 @@
                     || !strcmp( set->name, "dev_back_fsarc" )
                     || !strcmp( set->name, "dev_back_part" )
                     || !strcmp( set->name, "dev_rest_file" )
-                    || !strcmp( set->name, "dev_root_check" )
-                    || !strcmp( set->name, "dev_root_mount" )
-                    || !strcmp( set->name, "dev_root_unmount" )
                     || !strcmp( set->name, "main_terminal" )
                     || !strncmp( set->name, "dev_fmt_", 8 )
                     || !strncmp( set->name, "label_cmd_", 8 ) )
@@ -2378,9 +2360,6 @@
                     || !strcmp( set->name, "dev_back_fsarc" )
                     || !strcmp( set->name, "dev_back_part" )
                     || !strcmp( set->name, "dev_rest_file" )
-                    || !strcmp( set->name, "dev_root_check" )
-                    || !strcmp( set->name, "dev_root_mount" )
-                    || !strcmp( set->name, "dev_root_unmount" )
                     || !strncmp( set->name, "dev_fmt_", 8 )
                     || !strncmp( set->name, "label_cmd_", 8 ) )
             {
@@ -6821,9 +6800,6 @@
         }
         if ( set->plugin && set->plug_dir && strstr( set->plug_dir, "/included/" ) )
             edit_as_root = FALSE;
-        if ( edit_as_root )
-            newitem = xset_design_additem( submenu, _("E_dit As Root"),
-                        GTK_STOCK_DIALOG_WARNING, XSET_JOB_EDIT_ROOT, set );                
     }
 
     // Copy (Script)
@@ -8779,26 +8755,6 @@
     set = xset_get( "sep_mr3" );
     set->menu_style = XSET_MENU_SEP;
 
-    set = xset_set( "dev_menu_root", "label", _("_Root") );
-    set->menu_style = XSET_MENU_SUBMENU;
-    xset_set_set( set, "desc", "dev_root_unmount dev_root_mount sep_mr1 dev_root_label sep_mr2 dev_root_check dev_menu_format dev_menu_backup dev_menu_restore sep_mr3 dev_root_fstab dev_root_udevil" );
-    xset_set_set( set, "icon", "gtk-dialog-warning" );
-    set->line = g_strdup( "#devices-root" );
-    
-    set = xset_set( "dev_root_mount", "label", _("_Mount") );
-    xset_set_set( set, "icon", "drive-removable-media" );
-    xset_set_set( set, "z", "/usr/bin/udisks --mount %v --mount-options %o" );
-    set->line = g_strdup( "#devices-root-mount" );
-   
-    set = xset_set( "dev_root_unmount", "label", _("_Unmount") );
-    xset_set_set( set, "icon", "gtk-remove" );
-    xset_set_set( set, "z", "/usr/bin/udisks --unmount %v" );
-    set->line = g_strdup( "#devices-root-unmount" );
-   
-    set = xset_set( "dev_root_label", "label", _("_Label") );
-    xset_set_set( set, "icon", "gtk-edit" );
-    set->line = g_strdup( "#devices-root-label" );
-
         // set->y contains current remove label command
         // set->z contains current set label command
         // set->desc contains default remove label command
@@ -8845,18 +8801,6 @@
         xset_set_set( set, "title", set->desc );
         set->line = g_strdup( "#devices-root-label" );
 
-    set = xset_set( "dev_root_check", "label", _("_Check") );
-    xset_set_set( set, "desc", "/sbin/fsck %v" );
-    set->line = g_strdup( "#devices-root-check" );
-       
-    set = xset_set( "dev_root_fstab", "label", _("_Edit fstab") );
-    xset_set_set( set, "icon", "gtk-edit" );
-    set->line = g_strdup( "#devices-root-fstab" );
-       
-    set = xset_set( "dev_root_udevil", "label", _("Edit u_devil.conf") );
-    xset_set_set( set, "icon", "gtk-edit" );
-    set->line = g_strdup( "#devices-root-udevil" );
-       
     set = xset_set( "dev_menu_format", "label", _("_Format") );
     set->menu_style = XSET_MENU_SUBMENU;
     xset_set_set( set, "desc", "dev_fmt_vfat dev_fmt_ntfs dev_fmt_ext2 dev_fmt_ext3 dev_fmt_ext4 dev_fmt_btrfs dev_fmt_reis dev_fmt_reis4 dev_fmt_swap dev_fmt_zero dev_fmt_urand" );
@@ -9258,7 +9202,7 @@
 
     set = xset_set( "move_option", "label", _("_Option") );
     set->menu_style = XSET_MENU_SUBMENU;
-    xset_set_set( set, "desc", "move_copy move_link move_copyt move_linkt move_as_root" );
+    xset_set_set( set, "desc", "move_copy move_link move_copyt move_linkt" );
 
         set = xset_set( "move_copy", "label", _("_Copy") );
         set->menu_style = XSET_MENU_CHECK;
@@ -9274,10 +9218,6 @@
         set = xset_set( "move_linkt", "label", _("Lin_k Target") );
         set->menu_style = XSET_MENU_CHECK;
     
-        set = xset_set( "move_as_root", "label", _("_As Root") );
-        set->menu_style = XSET_MENU_CHECK;
-        set->b = XSET_B_TRUE;
-    
     set = xset_set( "move_dlg_font", "label", _("_Font") );
     set->menu_style = XSET_MENU_FONTDLG;
     xset_set_set( set, "icon", "gtk-select-font" );
@@ -9338,18 +9278,12 @@
     set = xset_set( "main_new_window", "label", _("New _Window") );
     xset_set_set( set, "icon", "spacefm" );
 
-    set = xset_set( "main_root_window", "label", _("R_oot Window") );
-    xset_set_set( set, "icon", "gtk-dialog-warning" );
-
     set = xset_set( "main_search", "label", _("_File Search") );
     xset_set_set( set, "icon", "gtk-find" );
 
     set = xset_set( "main_terminal", "label", _("_Terminal") );
     set->b = XSET_B_UNSET;  // discovery notification
 
-    set = xset_set( "main_root_terminal", "label", _("_Root Terminal") );
-    xset_set_set( set, "icon", "gtk-dialog-warning" );
-    
     set = xset_set( "main_save_session", "label", _("_Save Session") );
     xset_set_set( set, "icon", "gtk-save" );
 
@@ -9808,9 +9742,6 @@
     set = xset_set( "open_edit", "label", _("Edi_t") );
     xset_set_set( set, "icon", "gtk-edit" );
 
-    set = xset_set( "open_edit_root", "label", _("Edit As _Root") );
-    xset_set_set( set, "icon", "gtk-dialog-warning" );
-
     set = xset_set( "open_other", "label", _("_Choose...") );
     xset_set_set( set, "icon", "gtk-open" );
 
@@ -10075,7 +10006,7 @@
 
     set = xset_set( "edit_submenu", "label", _("_Edit") );
     set->menu_style = XSET_MENU_SUBMENU;
-    xset_set_set( set, "desc", "copy_name copy_parent copy_path sep_e1 paste_link paste_target paste_as sep_e2 copy_to move_to edit_root edit_hide sep_e3 select_all select_patt select_invert select_un" );
+    xset_set_set( set, "desc", "copy_name copy_parent copy_path sep_e1 paste_link paste_target paste_as sep_e2 copy_to move_to edit_hide sep_e3 select_all select_patt select_invert select_un" );
     xset_set_set( set, "icon", "gtk-edit" );
 
         set = xset_set( "copy_name", "label", _("Copy _Name") );
@@ -10184,16 +10115,6 @@
 
     set = xset_set( "select_patt", "label", _("S_elect By Pattern") );
 
-    set = xset_set( "edit_root", "label", _("R_oot") );
-    set->menu_style = XSET_MENU_SUBMENU;
-    xset_set_set( set, "desc", "root_copy_loc root_move2 root_delete" );
-    xset_set_set( set, "icon", "gtk-dialog-warning" );
-
-        set = xset_set( "root_copy_loc", "label", _("_Copy To") );
-        set = xset_set( "root_move2", "label", _("Move _To") );
-        set = xset_set( "root_delete", "label", _("_Delete") );
-        xset_set_set( set, "icon", "gtk-delete" );
-
     // Properties
     set = xset_set( "con_prop", "label", _("Propert_ies") );
     set->menu_style = XSET_MENU_SUBMENU;
@@ -10238,69 +10159,6 @@
         xset_set( "perm_ugo_rx", "label", "ugo+rX" );
         xset_set( "perm_ugo_rwx", "label", "ugo+rwX" );
 
-    set = xset_set( "prop_root", "label", _("_Root") );
-    set->menu_style = XSET_MENU_SUBMENU;
-    xset_set_set( set, "desc", "rperm_rw rperm_rwx rperm_rw_r rperm_rw_rw rperm_rwxr_x rperm_rwxrwx rperm_rw_r_r rperm_rw_rw_rw rperm_rwxr_r rperm_rwxr_xr_x rperm_rwxrwxrwx rperm_rwxrwxrwt rperm_unstick rperm_stick rperm_recurs rperm_own" );
-    xset_set_set( set, "icon", "gtk-dialog-warning" );
-
-        xset_set( "rperm_rw", "label", "rw-------" );
-        xset_set( "rperm_rwx", "label", "rwx------" );
-        xset_set( "rperm_rw_r", "label", "rw-r-----" );
-        xset_set( "rperm_rw_rw", "label", "rw-rw----" );
-        xset_set( "rperm_rwxr_x", "label", "rwxr-x---" );
-        xset_set( "rperm_rwxrwx", "label", "rwxrwx---" );
-        xset_set( "rperm_rw_r_r", "label", "rw-r--r--" );
-        xset_set( "rperm_rw_rw_rw", "label", "rw-rw-rw-" );
-        xset_set( "rperm_rwxr_r", "label", "rwxr--r--" );
-        xset_set( "rperm_rwxr_xr_x", "label", "rwxr-xr-x" );
-        xset_set( "rperm_rwxrwxrwx", "label", "rwxrwxrwx" );
-        xset_set( "rperm_rwxrwxrwt", "label", "rwxrwxrwt" );
-        xset_set( "rperm_unstick", "label", "-t" );
-        xset_set( "rperm_stick", "label", "+t" );
-
-        set = xset_set( "rperm_recurs", "label", _("_Recursive") );
-        set->menu_style = XSET_MENU_SUBMENU;
-        xset_set_set( set, "desc", "rperm_go_w rperm_go_rwx rperm_ugo_w rperm_ugo_rx rperm_ugo_rwx" );
-
-        xset_set( "rperm_go_w", "label", "go-w" );
-        xset_set( "rperm_go_rwx", "label", "go-rwx" );
-        xset_set( "rperm_ugo_w", "label", "ugo+w" );
-        xset_set( "rperm_ugo_rx", "label", "ugo+rX" );
-        xset_set( "rperm_ugo_rwx", "label", "ugo+rwX" );
-
-        set = xset_set( "rperm_own", "label", _("_Owner") );
-        set->menu_style = XSET_MENU_SUBMENU;
-        xset_set_set( set, "desc", "own_myuser own_myuser_users own_user1 own_user1_users own_user2 own_user2_users own_root own_root_users own_root_myuser own_root_user1 own_root_user2 own_recurs" );
-
-        xset_set( "own_myuser", "label", "myuser" );
-        xset_set( "own_myuser_users", "label", "myuser:users" );
-        xset_set( "own_user1", "label", "user1" );
-        xset_set( "own_user1_users", "label", "user1:users" );
-        xset_set( "own_user2", "label", "user2" );
-        xset_set( "own_user2_users", "label", "user2:users" );
-        xset_set( "own_root", "label", "root" );
-        xset_set( "own_root_users", "label", "root:users" );
-        xset_set( "own_root_myuser", "label", "root:myuser" );
-        xset_set( "own_root_user1", "label", "root:user1" );
-        xset_set( "own_root_user2", "label", "root:user2" );
-
-        set = xset_set( "own_recurs", "label", _("_Recursive") );
-        set->menu_style = XSET_MENU_SUBMENU;
-        xset_set_set( set, "desc", "rown_myuser rown_myuser_users rown_user1 rown_user1_users rown_user2 rown_user2_users rown_root rown_root_users rown_root_myuser rown_root_user1 rown_root_user2" );
-
-        xset_set( "rown_myuser", "label", "myuser" );
-        xset_set( "rown_myuser_users", "label", "myuser:users" );
-        xset_set( "rown_user1", "label", "user1" );
-        xset_set( "rown_user1_users", "label", "user1:users" );
-        xset_set( "rown_user2", "label", "user2" );
-        xset_set( "rown_user2_users", "label", "user2:users" );
-        xset_set( "rown_root", "label", "root" );
-        xset_set( "rown_root_users", "label", "root:users" );
-        xset_set( "rown_root_myuser", "label", "root:myuser" );
-        xset_set( "rown_root_user1", "label", "root:user1" );
-        xset_set( "rown_root_user2", "label", "root:user2" );
-
-
 
     // PANEL ONE
     set = xset_set( "panel1_show_toolbox", "label", _("_Toolbar") );
